> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtem as areas de cobertura do Dealer



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json get /v1/dealers/{dealerId}/coverage-areas
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/dealers/{dealerId}/coverage-areas:
    get:
      tags:
        - DealerCoverageAreas
      summary: Obtem as areas de cobertura do Dealer
      parameters:
        - name: dealerId
          in: path
          description: Identificador do dealer
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CoverageAreaDtoIDataListResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CoverageAreaDtoIDataListResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CoverageAreaDtoIDataListResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    CoverageAreaDtoIDataListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CoverageAreaDto'
          nullable: true
          readOnly: true
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    CoverageAreaDto:
      type: object
      properties:
        dealerId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        map:
          $ref: '#/components/schemas/MapDto'
        startingPoint:
          $ref: '#/components/schemas/CoordinatesDto'
        createdBy:
          type: string
          nullable: true
        modifiedBy:
          type: string
          nullable: true
        deletedBy:
          type: string
          nullable: true
        enabled:
          type: boolean
        openingHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHourDto'
          nullable: true
        holidayOpeningHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHourDto'
          nullable: true
        holidays:
          type: array
          items:
            $ref: '#/components/schemas/HolidayWeekDayDto'
          nullable: true
        dealerEnable:
          type: boolean
        whatsAppNumber:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        open:
          type: boolean
        driver:
          $ref: '#/components/schemas/DriverDto'
        hasDriver:
          type: boolean
          readOnly: true
        areaType:
          $ref: '#/components/schemas/AreaType'
        storeUri:
          type: string
          nullable: true
        id:
          type: string
          format: uuid
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    MapDto:
      type: object
      properties:
        link:
          type: string
          nullable: true
        geoJson:
          $ref: '#/components/schemas/FeatureCollection'
        location:
          $ref: '#/components/schemas/GeometryCollection'
      additionalProperties: false
    CoordinatesDto:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
      additionalProperties: false
    OpeningHourDto:
      type: object
      properties:
        day:
          type: string
          nullable: true
        open:
          type: string
          nullable: true
        close:
          type: string
          nullable: true
        enabled:
          type: boolean
      additionalProperties: false
    HolidayWeekDayDto:
      type: object
      properties:
        description:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
        dayOfWeek:
          $ref: '#/components/schemas/DayOfWeek'
      additionalProperties: false
    DriverDto:
      type: object
      properties:
        dealerId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        enabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        modifiedAt:
          type: string
          format: date-time
        id:
          type: string
          format: uuid
      additionalProperties: false
    AreaType:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
    FeatureCollection:
      required:
        - features
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GeoJSONObjectType'
        features:
          type: array
          items:
            $ref: '#/components/schemas/Feature'
        bbox:
          type: array
          items:
            type: number
            format: double
          nullable: true
        crs:
          $ref: '#/components/schemas/ICRSObject'
      additionalProperties: false
    GeometryCollection:
      required:
        - geometries
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GeoJSONObjectType'
        geometries:
          type: array
          items:
            $ref: '#/components/schemas/IGeometryObject'
        bbox:
          type: array
          items:
            type: number
            format: double
          nullable: true
        crs:
          $ref: '#/components/schemas/ICRSObject'
      additionalProperties: false
    DayOfWeek:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      format: int32
    GeoJSONObjectType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
      type: integer
      format: int32
    Feature:
      required:
        - geometry
        - properties
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GeoJSONObjectType'
        id:
          type: string
          nullable: true
        geometry:
          $ref: '#/components/schemas/IGeometryObject'
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        bbox:
          type: array
          items:
            type: number
            format: double
          nullable: true
        crs:
          $ref: '#/components/schemas/ICRSObject'
      additionalProperties: false
    ICRSObject:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CRSType'
      additionalProperties: false
    IGeometryObject:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GeoJSONObjectType'
      additionalProperties: false
    CRSType:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````